Autor Thema: (gelöst) FHEM-Connector update nicht möglich  (Gelesen 314 mal)

Offline Boenne

  • New Member
  • *
  • Beiträge: 25
(gelöst) FHEM-Connector update nicht möglich
« am: 05 April 2020, 14:37:14 »
Moin Leutz,
irgendwie schaffe ich es nicht FHEM-Connector zu updaten.  :-\
Prinzipel läuft alles gut, nur möchte ich wegen der Steuerung meiner Markise von 0.5.26 auf die neueste Version updaten.
folgendes habe ich bereits versucht:

alexa-fhem über FHEM angehalten: set alexa stop
Auf der Konsole: sudo npm update -g alexa-fhem
alexa-fhem über FHEM wieder gestartet: set alexa start

Obwohl die Konsole angezeigt hat, etwas installiert zu haben - kein Erfolg

dann dies probiert:
alexa-fhem über FHEM angehalten: set alexa stop
sudo npm install -g alexa-fhem
alexa-fhem über FHEM wieder gestartet: set alexa start

auch hier zeigte die Konsole an, FHEm-Connector 0.5.51 installiert zu haben, aber fhem-device zeigt im internal: alexa-fhem version
0.5.26 an.
pi@raspberrypi:~ $ sudo npm install -g alexa-fhem
/usr/bin/alexa-fhem -> /usr/lib/node_modules/alexa-fhem/bin/alexa
+ alexa-fhem@0.5.51
updated 1 package in 9.341s
das reading "alexaFHEM" hat den Inhalt "running /usr/local/bin/alexa-fhem"

Auch ein kompletter restart von fhem und/oder Raspi ändert nichts  :-[
Was mache ich falsch?

LG
Bönne
« Letzte Änderung: 06 April 2020, 09:38:51 von Boenne »

Offline justme1968

  • Developer
  • Hero Member
  • ****
  • Beiträge: 20260
Antw:FHEM-Connector update nicht möglich
« Antwort #1 am: 05 April 2020, 19:42:57 »
vermutlich hast du mehrere versionen installiert und fhem findet die falsche.

such mal hier im thread und in den anderen. das ist schon mehrfach passiert.
FHEM5.4,DS1512+,2xCULv3,DS9490R,HMLAN,2xRasPi
CUL_HM:HM-LC-Bl1PBU-FM,HM-LC-Sw1PBU-FM,HM-SEC-MDIR,HM-SEC-RHS
HUEBridge,HUEDevice:LCT001,LLC001,LLC006,LWL001
OWDevice:DS1420,DS18B20,DS2406,DS2423
FS20:fs20as4,fs20bs,fs20di
AKCP:THS01,WS15
CUL_WS:S300TH

Offline Boenne

  • New Member
  • *
  • Beiträge: 25
Antw:FHEM-Connector update nicht möglich
« Antwort #2 am: 06 April 2020, 09:38:22 »
Guten Morgen,
ok, danke für den Hinweis. Tatsächlich habe ich das Problem gelöst.
Alexa-fhem wurde offensichtlich aus den Pfad /usr/local/bin/alexa-fhem ausgeführt.


Nachdem ich das
Attribut alexaFHEM-cmd auf /usr/bin/alexa-fhem gesetzt hatte, wurde nach einem reboot des Raspis das
internal alexa-fhem version 0.5.51 angezeigt.

Hätte man drauf kommen können, da
Zitat
pi@raspberrypi:~ $ sudo npm install -g alexa-fhem
/usr/bin/alexa-fhem -> /usr/lib/node_modules/alexa-fhem/bin/alexa
+ alexa-fhem@0.5.51
updated 1 package in 9.341s
das reading "alexaFHEM" hat den Inhalt "running /usr/local/bin/alexa-fhem"


Ok, nun läufts.


LG
Bönne

Offline Sedonion

  • Jr. Member
  • **
  • Beiträge: 74
Antw:(gelöst) FHEM-Connector update nicht möglich
« Antwort #3 am: 06 April 2020, 10:46:27 »
Ich weiss nicht ob das so schlau war, bzw. ob es beim nächsten Update wieder rückgängig gemacht wird.
Besser wäre ein Symlink aus /usr/local/bin/ ebenso zu erstellen wie aus /usr/bin/ auf /usr/lib/node_modules/alexa-fhem/bin/alexa
fhem auf HP Microserver Gen8 mit Openmedivault
- 4 Milight RGB Bulbs an Milight Wifi Controller
- MAX Cube mit 2 Heizkörperthermostaten und 2 Fenstersensoren
- VU+ Solo4k Enigma2
- Fritzbox mit Callmonitor

Offline justme1968

  • Developer
  • Hero Member
  • ****
  • Beiträge: 20260
Antw:(gelöst) FHEM-Connector update nicht möglich
« Antwort #4 am: 06 April 2020, 10:48:50 »
das attribut wird nicht automatisch überschrieben.

am besten ist es nicht zwei versionen installiert zu haben. dann noch von hand zu verlinken ist definitiv nicht gut.

wie man die falsche version löscht ist schon mehrfach beschrieben worden.
FHEM5.4,DS1512+,2xCULv3,DS9490R,HMLAN,2xRasPi
CUL_HM:HM-LC-Bl1PBU-FM,HM-LC-Sw1PBU-FM,HM-SEC-MDIR,HM-SEC-RHS
HUEBridge,HUEDevice:LCT001,LLC001,LLC006,LWL001
OWDevice:DS1420,DS18B20,DS2406,DS2423
FS20:fs20as4,fs20bs,fs20di
AKCP:THS01,WS15
CUL_WS:S300TH

 

decade-submarginal